Web   ·   Wiki   ·   Activities   ·   Blog   ·   Lists   ·   Chat   ·   Meeting   ·   Bugs   ·   Git   ·   Translate   ·   Archive   ·   People   ·   Donate
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSebastian Silva <sebastian@somosazucar.org>2013-11-10 10:05:10 (GMT)
committer Sebastian Silva <sebastian@somosazucar.org>2013-11-10 10:05:10 (GMT)
commitc93c3464f847823e3bcf2b2335974a7f0e8db201 (patch)
tree4e45bbfd879a7998236586dba64667c4c8843fa3
parent77cfb394b4dda6c5a950f95bd9c2bc00414a03f8 (diff)
Production as of Beta4
-rw-r--r--etc/locale.gen6
-rw-r--r--etc/sugar/blacklist/deployment6
-rw-r--r--image/build_xo1.5.sh13
-rw-r--r--image/build_xo1.sh13
-rw-r--r--post.d/locales.sh10
5 files changed, 48 insertions, 0 deletions
diff --git a/etc/locale.gen b/etc/locale.gen
new file mode 100644
index 0000000..5222ee0
--- /dev/null
+++ b/etc/locale.gen
@@ -0,0 +1,6 @@
+es_PE
+ayc_PE
+en_US
+de_DE
+fr_FR
+pt_BR
diff --git a/etc/sugar/blacklist/deployment b/etc/sugar/blacklist/deployment
new file mode 100644
index 0000000..a28dfa9
--- /dev/null
+++ b/etc/sugar/blacklist/deployment
@@ -0,0 +1,6 @@
+# Uncomment it to hide "Plugins" Control Panel section to
+# hanlde plugins configuration only via configuration files
+#cpsection plugins
+
+# No need in ASLO updater with Sugar Network
+cpsection updater
diff --git a/image/build_xo1.5.sh b/image/build_xo1.5.sh
new file mode 100644
index 0000000..63a12cb
--- /dev/null
+++ b/image/build_xo1.5.sh
@@ -0,0 +1,13 @@
+set -o nounset
+set -o errexit
+
+version=$(($1-1))
+
+echo $version > latestbuild
+
+olpc-os-builder --additional-defaults common.ini xo-1.5.ini
+mkdir -p ~/latest/xo1.5
+echo "Copiando a home..."
+cp -ar /var/tmp/olpc-os-builder/output/* ~/latest/xo1.5
+echo "Publicando..."
+rsync -avzP ~/latest/xo1.5/* icarito@sunjammer.sugarlabs.org:public_html/xo1.5/
diff --git a/image/build_xo1.sh b/image/build_xo1.sh
new file mode 100644
index 0000000..7a2ed59
--- /dev/null
+++ b/image/build_xo1.sh
@@ -0,0 +1,13 @@
+set -o nounset
+set -o errexit
+
+version=$(($1-1))
+
+echo $version > latestbuild
+
+olpc-os-builder --additional-defaults common.ini xo-1.ini
+mkdir -p ~/latest/xo1
+echo "Copiando a home..."
+cp -ar /var/tmp/olpc-os-builder/output/* ~/latest/xo1
+echo "Publicando..."
+rsync -avzP ~/latest/xo1/* icarito@sunjammer.sugarlabs.org:public_html/xo1/
diff --git a/post.d/locales.sh b/post.d/locales.sh
new file mode 100644
index 0000000..a6502a2
--- /dev/null
+++ b/post.d/locales.sh
@@ -0,0 +1,10 @@
+cat > etc/locale.gen << EOF
+es_PE
+ayc_PE
+en_US
+de_DE
+fr_FR
+pt_BR
+EOF
+
+locale-gen